﻿@using DevExpress.Web;
@using DevExpress.Web.Mvc;
@using System.Web.UI.WebControls;
@using System.Web.Util
@{Layout = "~/Views/Shared/_Layout.cshtml";}
@*DISINI PROSES MANGGIL EVENT*@
@Html.Partial("_PartialScriptPaymentList")
<div class="content" style="padding: 10px;">
    <table border="0">
        <tr>
            <td style="width: 120px">
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Payment Term Code";
                }).GetHtml()
            </td>
            <td style="width: 15px">
            </td>
            <td>
                @Html.DevExpress().ComboBox(
              settings =>
              {
                  settings.Name = "PaymentTermMasterCd";
                  settings.Width = 120;
                  //settings.SelectedIndex = -1;
                  settings.ControlStyle.HorizontalAlign = HorizontalAlign.Center;
                  settings.CallbackRouteValues = new { Controller = "PaymentTermMaster", Action = "ComboPaymentCD" };
                  settings.Properties.TextField = "PAYMENT_TERM_CD";
                  settings.Properties.ValueField = "PAYMENT_TERM_CD";
              }).BindList(ViewData["PAYMENT_TERM_CD"]).GetHtml()
            </td>
            <td style="width:50px">
            </td>
            <td>
                @Html.DevExpress().Label(
                label =>
                {
                    label.Text = "Description";
                }).GetHtml()
            </td>
            <td style="width: 15px">
            </td>
            <td>
                @Html.DevExpress().TextBox(
                    settings =>
                    {
                        settings.Name = "Description1";
                        settings.ControlStyle.HorizontalAlign = System.Web.UI.WebControls.HorizontalAlign.Left;
                        settings.Width = 200;

                    }
                ).GetHtml()
            </td>
            <td style="width: 595px">
            </td>
            <td>
                @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdSearch";
                                    edtSetting.Text = "Search";
                                    edtSetting.Width = 80;
                                    edtSetting.ClientSideEvents.Click = "OnSearch";
                                    edtSetting.Style.Add("display", "inline-table");
                                    edtSetting.UseSubmitBehavior = true;
                                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-01", "SEARCH");
                                }
                            ).GetHtml()
            </td>
            <td style="width: 5px">
            </td>
            <td>
                @Html.DevExpress().Button(
                                edtSetting =>
                                {
                                    edtSetting.Name = "cmdClear";
                                    edtSetting.Width = 80;
                                    edtSetting.Text = "Clear";
                                    edtSetting.ClientSideEvents.Click = "OnClear";
                                    edtSetting.Style.Add("display", "inline-table");
                                    edtSetting.UseSubmitBehavior = true;
                                    edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-01", "CLEAR");
                                }
                            ).GetHtml()
            </td>
            </tr>
            </table>
            <table border="0">
                <tr>
                    <td colspan="50">
                        <hr />
                    </td>
                </tr>
                <tr>
                    <td>
                        @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdSave";
            edtSetting.Width = 80;
            edtSetting.Text = "Save";
            edtSetting.ClientSideEvents.Click = "SaveData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.ClientEnabled = false;
            //edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-02", "SAVE");
        }
        ).GetHtml()
                    </td>
                    <td style="width: 5px">
                    </td>
                    <td>
                        @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdCancel";
            edtSetting.Width = 80;
            edtSetting.Text = "Cancel";
            edtSetting.ClientSideEvents.Click = "CancelData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.ClientEnabled = false;
            //edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-02", "CANCEL");
        }
        ).GetHtml()
                    </td>
                    <td style="width: 5px">
                    </td>
                    <td>
                        @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdDownload";
            edtSetting.Width = 80;
            edtSetting.Text = "Download";
            edtSetting.ClientSideEvents.Click = "DownloadData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-03", "DOWNLOAD");
        }
        ).GetHtml()
                    </td>
                    <td style="width: 1000px">
                    </td>
                    <td>
                        @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdAdd";
            edtSetting.Width = 80;
            edtSetting.Text = "Add";
            edtSetting.ClientSideEvents.Click = "AddData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-02", "ADD");
        }
        ).GetHtml()
                    </td>
                    <td style="width: 5px">
                    </td>
                    <td>
                        @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdEdit";
            edtSetting.Width = 80;
            edtSetting.Text = "Edit";
            edtSetting.ClientSideEvents.Click = "EditData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-02", "EDIT");
        }
        ).GetHtml()
                    </td>
                    <td style="width: 5px">
                    </td>
                    <td>
                        @Html.DevExpress().Button(
        edtSetting =>
        {
            edtSetting.Name = "cmdDelete";
            edtSetting.Width = 80;
            edtSetting.Text = "Delete";
            edtSetting.ClientSideEvents.Click = "DeleteData";
            edtSetting.Style.Add("display", "inline-table");
            edtSetting.UseSubmitBehavior = true;
            edtSetting.ClientVisible = true;
            edtSetting.ClientVisible = Html.Toyota().Authorization.IsAuthorizedToAccessQualifier("PaymentTermMaster", "FTR-SPEX-122-02", "DELETE");
        }
        ).GetHtml()
                    </td>
                </tr>
            </table>
</div>
@*<div style="padding:3px;"></div>*@
<div class="content" style="min-height: 400px">
    @Html.Partial("GridPayment")
</div>
